%define upstream_name    Email-MIME-Kit-Renderer-TT
%define upstream_version 1.001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Render parts of your mail with Template-Toolkit
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Email::MIME::Kit)
BuildRequires: perl(Email::MIME::Kit::Role::Renderer)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose)
BuildRequires: perl(Template)
BuildRequires: perl(Test::More)
BuildRequires: perl(blib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This is a renderer plugin for the Email::MIME::Kit manpage, and renders
message parts using Template. When specifying a renderer in
_manifest.json_, you might write something like this:

  { ..., "renderer": "TT" }

Or, to supply options:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Apr 29 2020 guillomovitch <guillomovitch> 1.1.0-1.mga8
+ Revision: 1573295
- imported package perl-Email-MIME-Kit-Renderer-TT

